## axiom 20210105dp1

=== Makefile ===
VERSION:="Axiom (May 2017)"

##### special paths
SPD:=$(shell pwd)
SRC:=${SPD}/src
LSP:=${SPD}/lsp
INT:=${SPD}/int
OBJ:=${SPD}/obj
MNT:=${SPD}/mnt
TMP:=${OBJ}/tmp
ZIPS:=${SPD}/zips
BOOKS:=${SPD}/books
SRCDIRS:="interpdir sharedir algebradir etcdir docdir \
          graphdir smandir hyperdir browserdir inputdir"

SYS:=$(notdir $(AXIOM))
DAASE:=${SRC}/share
PROOFS:=${OBJ}/${SYS}/proofs
SPAD:=${SPD}/mnt/${SYS}

SPADBIN:=${MNT}/${SYS}/bin
DOCUMENT:=${SPADBIN}/document
EXTRACT:=${BOOKS}/extract

##### installation paths
DESTDIR:=/usr/local/axiom
COMMAND:=${DESTDIR}/mnt/${SYS}/bin/axiom

##### functions we need
AWK:=gawk 
PATCH:=patch
RANLIB:=ranlib
TAR:=tar
TOUCH:=touch
UNCOMPRESS:=gunzip

####K C Related variables
PLF=$(shell echo $(SYS) |tr /a-z/ /A-Z/)platform
CCF="${CFLAGS} -O2 -fno-strength-reduce -D_GNU_SOURCE -D${PLF} \
     -I/usr/X11/include \
     -Wno-absolute-value -std=gnu89 -w" 
INC:=${SPD}/src/include
CC:=gcc
XLIB:=/usr/X11R6/lib
LDF="-L/usr/X11/lib -L/usr/X11R6/lib64 -L/usr/local/lib64 -L/usr/openwin/lib64 -L/usr/lib64 "
O:=o

##### lisp related variables
BYE:=bye
#GCLVERSION=gcl-2.4.1
#GCLVERSION=gcl-2.5
#GCLVERSION=gcl-2.5.2
#GCLVERSION=gcl-2.6.1
#GCLVERSION=gcl-2.6.2
#GCLVERSION=gcl-2.6.2a
#GCLVERSION=gcl-2.6.3
#GCLVERSION=gcl-2.6.5
#GCLVERSION=gcl-2.6.6
#GCLVERSION=gcl-2.6.7pre
#GCLVERSION=gcl-2.6.7
#GCLVERSION=gcl-2.6.8pre
#GCLVERSION=gcl-2.6.8pre2
#GCLVERSION=gcl-2.6.8pre3 
#GCLVERSION=gcl-2.6.8pre4
#GCLVERSION=gcl-2.6.8pre7
#GCLVERSION=gcl-cygwin
#GCLVERSION=gcl-2.6.9
#GCLVERSION=gcl-2.6.10
#GCLVERSION=gcl-2.6.11
#GCLVERSION=gcl-2.6.12
#GCLVERSION=gcl-2.6.13pre
GCLVERSION=gcl-external
GCLDIR:=${LSP}/${GCLVERSION}
GCLOPTS="--enable-vssize=65536*2 --disable-xgcl --disable-tkconfig"
LISP:=lsp

##### command line control
NOISE:="-o ${TMP}/trace"
PART:=	cprogs
SUBPART:= everything
RUNTYPE:=serial
# can be richtests, catstests, regresstests (see src/input/Makefile)
# alltests, notests
TESTSET:=notests
BUILD:=full
ACL2:=
COQ:=


ENV:= \
ACL2=${ACL2} \
AWK=${AWK} \
BOOKS=${BOOKS} \
BUILD=${BUILD} \
BYE=${BYE} \
CC=${CC} \
CCF=${CCF} \
COMMAND=${COMMAND} \
COQ=${COQ} \
DAASE=${DAASE} \
DESTDIR=${DESTDIR} \
DOCUMENT=${DOCUMENT} \
EXTRACT=${EXTRACT} \
GCLDIR=${GCLDIR} \
GCLOPTS=${GCLOPTS} \
GCLVERSION=${GCLVERSION} \
INC=${INC} \
INT=${INT} \
LDF=${LDF} \
LISP=${LISP} \
LSP=${LSP} \
MNT=${MNT} \
NOISE=${NOISE} \
O=${O} \
OBJ=${OBJ} \
PART=${PART} \
PATCH=${PATCH} \
PLF=${PLF} \
PROOFS=${PROOFS} \
RANLIB=${RANLIB} \
RUNTYPE=${RUNTYPE} \
SPAD=${SPAD} \
SPADBIN=${SPADBIN} \
SPD=${SPD} \
SRC=${SRC} \
SRCDIRS=${SRCDIRS} \
SUBPART=${SUBPART} \
SYS=${SYS} \
TANGLE=${TANGLE} \
TAR=${TAR} \
TESTSET=${TESTSET} \
TMP=${TMP} \
TOUCH=${TOUCH} \
UNCOMPRESS=${UNCOMPRESS} \
VERSION=${VERSION} \
WEAVE=${WEAVE} \
XLIB=${XLIB} \
ZIPS=${ZIPS} 

all: rootdirs axiom.sty $(BOOKS)/tanglec libspad input_files book_files src_files
	@ echo 1 making a ${SYS} system, PART=${PART} SUBPART=${SUBPART}
	@ echo 2 Environment '${ENV}'
#	@ ${ENV} $(MAKE) -f $<
	@ echo 3 finished system build on `date` | tee >lastBuildDate

Makefile.${SYS}: Makefile.pamphlet ${BOOKS}/tanglec
	${BOOKS}/tanglec $< "Makefile.${SYS}" >$@

${MNT}/${SYS}/doc/src/root.Makefile.pdf: Makefile.pdf rootdirs
	@cp $< $@

${MNT}/${SYS}/doc/dvipdfm.def: ${BOOKS}/dvipdfm.def rootdirs
	@cp $< $@

${MNT}/${SYS}/doc/changepage.sty: ${BOOKS}/changepage.sty rootdirs
	@cp $< $@

Makefile.pdf: Makefile.pamphlet $(BOOKS)/tanglec
	@ ${EXTRACT} $<

src_files: Makefile.${SYS} ${MNT}/${SYS}/doc/src/root.Makefile.pdf \
	   ${MNT}/${SYS}/doc/dvipdfm.def ${MNT}/${SYS}/doc/changepage.sty $(BOOKS)/tanglec
	@ echo 1 making a ${SYS} system, PART=${PART} SUBPART=${SUBPART}
	@ echo 2 Environment '${ENV}'
	@ ${ENV} $(MAKE) -f $<

libspad: rootdirs $(BOOKS)/tanglec
	@ echo 11a making libspad
	@ ( cd ${OBJ}/${SYS}/lib ; \
	    ${BOOKS}/tanglec ${BOOKS}/bookvol8.pamphlet Makefile >Makefile ; \
            ${ENV} ${MAKE} libspad.a )

axiom.sty:
	@ echo 11c copying books/axiom.sty
	@ cp ${BOOKS}/axiom.sty .

rootdirs:
	@ echo 11 checking directory structure
	 mkdir -p ${TMP}
	 mkdir -p ${INT}/algebra
	 mkdir -p ${INT}/hyper
	 mkdir -p ${INT}/input
	 mkdir -p ${INT}/interp
	 mkdir -p ${INT}/sman
	 mkdir -p ${OBJ}/${SYS}/bin
	 mkdir -p ${OBJ}/${SYS}/etc
	 mkdir -p ${OBJ}/${SYS}/graph
	 mkdir -p ${OBJ}/${SYS}/hyper/pages
	 mkdir -p ${OBJ}/${SYS}/interp
	 mkdir -p ${OBJ}/${SYS}/lib
	 mkdir -p ${OBJ}/${SYS}/sman
	 mkdir -p ${OBJ}/${SYS}/proofs
	 mkdir -p ${MNT}/doc
	 mkdir -p ${MNT}/${SYS}/algebra
	 mkdir -p ${MNT}/${SYS}/src/algebra
	 mkdir -p ${MNT}/${SYS}/autoload
	 mkdir -p ${MNT}/${SYS}/bin
	 mkdir -p ${MNT}/${SYS}/doc/axbook
	 mkdir -p ${MNT}/${SYS}/doc/bitmaps
	 mkdir -p ${MNT}/${SYS}/doc/hypertex/bitmaps
	 mkdir -p ${MNT}/${SYS}/doc/msgs
	 mkdir -p ${MNT}/${SYS}/doc/ps
	 mkdir -p ${MNT}/${SYS}/doc/cookbook
	 mkdir -p ${MNT}/${SYS}/doc/spadhelp
	 mkdir -p ${MNT}/${SYS}/doc/src/input
	 mkdir -p ${MNT}/${SYS}/graph/parabola.view
	 mkdir -p ${MNT}/${SYS}/input
	 mkdir -p ${MNT}/${SYS}/lib/graph
	 mkdir -p ${MNT}/${SYS}/lib/scripts
	 touch $@

input:
	@ echo p9 making input documents
	@ if [ "${BUILD}" = "full" ] ; then \
	  ( cd ${MNT}/${SYS}/doc/src/input ; \
	    cp ${BOOKS}/axiom.sty . ; \
	    for i in `ls ${SRC}/input/*.input.pamphlet` ; \
              do latex $$i ; \
              done ; \
	     rm -f *~ ; \
	     rm -f *.pamphlet~ ; \
	     rm -f *.log ; \
	     rm -f *.tex ; \
	     rm -f *.toc ; \
	     rm -f *.aux ) ; fi

input_files: $(BOOKS)/tanglec $(patsubst ${SRC}/input/%.input.pamphlet, \
	       ${MNT}/${SYS}/doc/src/input/%.input.dvi, \
	       $(shell ls -1 ${SRC}/input/*.input.pamphlet))

${MNT}/${SYS}/doc/src/input/axiom.sty: rootdirs ${BOOKS}/axiom.sty ${SRC}/input/*.eps
	@echo copying axiom.sty
	cp $(filter-out rootdirs,$^) $(@D)

${MNT}/${SYS}/doc/src/input/%.input.dvi: ${SRC}/input/%.input.pamphlet ${MNT}/${SYS}/doc/src/input/axiom.sty
	@echo making $@ from $<
	@(cd $(@D); \
	if [ $(NOISE). = . ] ; then latex $<; else latex $< >$(TMP)/trace; fi ; \
	rm -f *~ $*.log $*.tex $*.toc $*.aux )

$(SPD)/books/Makefile.pdf: $(SPD)/books/Makefile.pamphlet $(BOOKS)/tanglec
	@(cd $(@D); $(EXTRACT) Makefile)

${MNT}/${SYS}/doc/src/books.Makefile.pdf: $(SPD)/books/Makefile.pdf
	@cp $< $@

book_files: $(BOOKS)/tanglec ${MNT}/${SYS}/doc/src/books.Makefile.pdf
	@(cd books;$(ENV) $(MAKE))

book:
	@ echo 79 building the book as ${MNT}/${SYS}/doc/book.dvi 
	@ cp ${SRC}/doc/book.pamphlet ${MNT}/${SYS}/doc
	@ cp -pr ${SRC}/doc/ps ${MNT}/${SYS}/doc
	@ (cd ${MNT}/${SYS}/doc ; \
          if [ .${NOISE} = . ] ; then \
	    ( latex book.pamphlet --interaction nonstopmode ; \
	      latex book.pamphlet --interaction nonstopmode ) ; \
	   else \
	    ( latex book.pamphlet --interaction nonstopmode >${TMP}/trace ; \
	      latex book.pamphlet --interaction nonstopmode >${TMP}/trace ) ; \
	  fi ; \
	  rm book.pamphlet ; \
	  rm book.toc ; \
	  rm book.log ; \
	  rm book.aux )
	@ echo 80 The book is at ${MNT}/${SYS}/doc/book.dvi 


$(BOOKS)/tanglec: books/tanglec.c
	@echo t01 making tanglec from books/tanglec.c
	gcc -o $@ $<

install:
	@echo 78 installing Axiom in ${DESTDIR}
	@mkdir -p ${DESTDIR}
	@cp -pr ${MNT} ${DESTDIR}
	@echo '#!/bin/sh -' >${COMMAND}
	@echo AXIOM=${DESTDIR}/mnt/${SYS} >>${COMMAND}
	@echo export AXIOM >>${COMMAND}
	@echo PATH='$${AXIOM}/bin':'$${PATH}' >>${COMMAND}
	@echo export PATH >>${COMMAND}
	@cat ${INT}/sman/axiom >>${COMMAND}
	@chmod +x ${COMMAND}
	@echo 79 Axiom installation finished.
	@echo
	@echo Please add $(shell dirname ${COMMAND}) to your PATH variable
	@echo Start Axiom with the command $(shell basename ${COMMAND})
	@echo 


document: ${BOOKS}/tanglec
	@ echo 4 making a ${SYS} system, PART=${PART} SUBPART=${SUBPART}
	@ echo 5 Environment ${ENV}
	@ ${BOOKS}/tanglec Makefile.pamphlet "Makefile.${SYS}" >Makefile.${SYS}
	@ ${ENV} $(MAKE) -f Makefile.${SYS} document
	@echo 6 finished system build on `date` | tee >lastBuildDate

clean: 
	@ echo 7 making a ${SYS} system, PART=${PART} SUBPART=${SUBPART}
	@ echo 8 Environment ${ENV}
	@ rm -f axiom.sty
	@ rm -f Makefile.pdf
	@ rm -f Makefile.dvi
	@ rm -f Makefile.${SYS}
	@ rm -f books/Makefile
	@ rm -f books/Makefile.dvi
	@ rm -f books/Makefile.pdf
	@ rm -f books/axiom.bib
	@ rm -f books/sortsig.lisp
	@ rm -f lsp/axiom.sty
	@ rm -f lsp/Makefile lsp/Makefile.dvi lsp/Makefile.pdf
	@ rm -rf lsp/gcl*
	@ rm -f src/axiom.sty
	@ rm -f src/Makefile
	@ rm -f src/Makefile.dvi
	@ rm -f src/Makefile.pdf
	@ rm -f src/algebra/book*pamphlet
	@ rm -f src/algebra/*.spad
	@ rm -f src/algebra/Makefile
	@ rm -f src/etc/axiom.sty
	@ rm -f src/etc/Makefile src/etc/Makefile.dvi src/etc/Makefile.pdf
	@ rm -f src/interp/book*pamphlet
	@ rm -f src/interp/axiom.sty
	@ rm -f src/input/axiom.sty
	@ rm -f src/share/axiom.sty
	@ rm -f src/share/Makefile src/share/Makefile.dvi 
	@ rm -f src/share/Makefile.pdf
	@ rm -rf int
	@ rm -rf obj
	@ rm -rf mnt
	@ for i in `find . -name "*~"` ; do rm -f $$i ; done
	@ rm -f lastBuildDate
	@ rm -f books/tanglec
	@ rm -f src/input/Makefile src/input/Makefile.dvi
	@ rm -f src/input/Makefile.pdf 
	@ rm -f src/interp/Makefile src/interp/Makefile.dvi
	@ rm -f src/interp/Makefile.pdf 
	@ rm -f src/share/Makefile src/share/Makefile.dvi
	@ rm -f src/share/Makefile.pdf 
	@ rm -f Makefile.aux
	@ rm -f Makefile.log rootdirs

=== debian/changelog ===
axiom (20210105dp1-1) unstable; urgency=high

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Wed, 30 Apr 2025 13:11:29 -0400

axiom (20170501-15) unstable; urgency=high

  * build depend on gcl27

 -- Camm Maguire <camm@debian.org>  Sun, 13 Apr 2025 17:25:55 -0400

axiom (20170501-14) unstable; urgency=medium

  * support gcl27

 -- Camm Maguire <camm@debian.org>  Sun, 09 Feb 2025 18:51:55 -0500

axiom (20170501-13) unstable; urgency=medium

  * Bug fix: "ftbfs with GCC-14", thanks to Matthias Klose (Closes:
    #1074833).  Fix implicit int function declarations in cfuns pamphlet

 -- Camm Maguire <camm@debian.org>  Sun, 28 Jul 2024 11:44:11 -0400

axiom (20170501-12) unstable; urgency=medium

  * fix database building (directory behavior) and some pathname errors

 -- Camm Maguire <camm@debian.org>  Sun, 12 Feb 2023 18:08:56 -0500

axiom (20170501-11) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Sun, 08 Jan 2023 17:10:23 -0500

axiom (20170501-10) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Sun, 25 Dec 2022 18:09:21 -0500

axiom (20170501-9) unstable; urgency=medium

  * fix build dependencies

 -- Camm Maguire <camm@debian.org>  Thu, 22 Dec 2022 19:00:26 -0500

axiom (20170501-8) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Wed, 21 Dec 2022 14:50:16 -0500

axiom (20170501-7) unstable; urgency=medium

  * build-dep latest gcl
  * prune build-deps

 -- Camm Maguire <camm@debian.org>  Wed, 21 Dec 2022 13:05:09 -0500

=== debian/control ===
Source: axiom
Section: math
Priority: optional
Maintainer: Camm Maguire <camm@debian.org>
Build-Depends: debhelper-compat ( = 13 ), gcl27 ( >= 2.7.1-4 ), texlive-latex-recommended,  gawk, sharutils, ghostscript, gsfonts, libxt-dev,  libxpm-dev,  texlive-pstricks, tex-common
Standards-Version: 4.7.2

Package: axiom
Architecture: any
Depends: ${shlibs:Depends}, axiom-databases (= ${source:Version}), ${misc:Depends}
Recommends: axiom-source, axiom-doc, axiom-graphics, axiom-hypertex
Suggests: texmacs, axiom-tex, axiom-test, nowebm
Description: General purpose computer algebra system: main binary and modules
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains the main program binary and all precompiled
 algebra and autoloadable modules.

Package: axiom-source
Architecture: all
Depends: ${misc:Depends}
Description: General purpose computer algebra system: source files
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains source files in Axiom's native spad language
 for the compiled algebra modules supplied in the axiom package.
 .

Package: axiom-test
Architecture: all
Depends: axiom (>= ${source:Version}), ${misc:Depends}
Description: General purpose computer algebra system: regression test inputs
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains input files for Axiom's regression test suite.

Package: axiom-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: General purpose computer algebra system: documentation
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains all documentation, including the Axiom book in
 dvi format with all postscript images.

Package: axiom-databases
Architecture: all
Depends: ${misc:Depends}
Description: General purpose computer algebra system: generated text databases
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains the text databases generated during the build
 process used in computing the hierarchical domain structure, among
 other uses.

Package: axiom-tex
Architecture: all
Depends: texlive-latex-recommended, ${misc:Depends}
Description: General purpose computer algebra system: style file for TeX
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains a TeX style file useful in publishing results
 obtained with Axiom.

Package: axiom-graphics
Architecture: any
Depends: ${shlibs:Depends}, axiom (= ${binary:Version}), axiom-graphics-data (= ${source:Version}), ${misc:Depends}
Description: General purpose computer algebra system: graphics subsystem
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains the binaries for the graphics subsystem.
 The programs in this package allow axiom to draw plots to separate
 windows in X as well as to output files in postscript format.

Package: axiom-graphics-data
Architecture: all
Depends: ${misc:Depends}
Description: General purpose computer algebra system: graphics subsystem
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains required data files for the axiom graphics
 subsystem.

Package: axiom-hypertex
Architecture: any
Depends: ${shlibs:Depends}, axiom (= ${binary:Version}), axiom-hypertex-data (= ${source:Version}), ${misc:Depends}
Description: General purpose computer algebra system: hypertex subsystem
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains the binaries for the hypertex subsystem.
 The programs in this package provide an interactive online help
 system describing the many axiom commands.

Package: axiom-hypertex-data
Architecture: all
Depends: ${misc:Depends}
Description: General purpose computer algebra system: hypertex subsystem
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains required data files for the axiom hypertex
 subsystem.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#VER:=$(shell basename `pwd` | sed 's,.*-,,1')
PN:=axiom
VER:=$(shell awk '{if (i) next;i=1;a=$$2;gsub("[()]","",a);split(a,A,"-");print A[1];}' debian/changelog)
PD:=$(PN)-$(VER)

export DH_OPTIONS

NUMJOBS:=1
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS:=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  MAKEFLAGS+=-O
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir

	mkdir -p $(CURDIR)/mnt/linux/algebra
	cp -pr src/share/algebra/*.daase mnt/linux/algebra

#	echo '(setq si::*optimize-maximum-pages* nil)' \
#		'(load (compile-file "debian/gcl27p.l"))' \
#		'(setq si::*optimize-maximum-pages* t)' \
#		'(si::save-system "gcl27")' | GCL_ANSI=t gcl27

#	export PATH=$(CURDIR):$$PATH ; 
	export AXIOM=$(CURDIR)/mnt/linux ; \
	export PATH=$$AXIOM/bin:$$PATH ; \
	export GCL_ANSI=t ; \
	export GCL=`which gcl27` ; \
	eval `dpkg-buildflags --export=sh` && \
	HOME=$$(pwd) GCL_MULTIPROCESS_MEMORY_POOL=$$(pwd) $(MAKE) -j $(NUMJOBS) TESTSET=regresstests GCL=$$(which gcl27)

	find mnt/linux -name bessintr.eps -exec rm {} \;
	find mnt/linux -name htsearch -exec chmod 755 {} \;
	find mnt/linux -name command.list -exec chmod -x {} \;
	for i in $$(find mnt/linux -name presea); do cat $$i | sed 's,!/bin/awk,!/usr/bin/awk,1' >tmp && mv tmp $$i; done
	find mnt/linux -name presea -exec chmod 755 {} \;

	echo ")lisp (progn (setq compiler::*default-system-p* nil)(si::save-system \"foo\"))" | AXIOM=$(CURDIR)/mnt/linux $(CURDIR)/mnt/linux/bin/AXIOMsys && mv foo mnt/linux/bin/AXIOMsys

	for i in $$(find mnt/linux -wholename "*.daase/*.daase" -type d); do rm -rf $$i; done

	touch build-stamp

IFS:=$(addprefix debian/,axiom.install axiom.links axiom-doc.install axiom-doc.links axiom-source.install axiom-source.links axiom-test.install axiom-test.links axiom-databases.install axiom-databases.links axiom-tex.install axiom-graphics.install axiom-graphics-data.install axiom-hypertex.install axiom-hypertex-data.install )

fooclean:
	rm -f $(IFS)

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	set

	AXIOM=$(CURDIR)/mnt/linux  \
	C_INCLUDE_PATH=/usr/include:$C_INCLUDE_PATH \
	$(MAKE) clean
	rm -f lsp/Makefile.dvi src/algebra/Makefile.dvi src/input/Makefile.dvi obj/noweb/contrib/kostas/Makefile obj/noweb/src/c/notangle.o obj/noweb/src/c/getline.o obj/noweb/src/c/match.o obj/noweb/src/c/modules.o obj/noweb/src/c/modtrees.o obj/noweb/src/c/strsave.o obj/noweb/src/c/main.o obj/noweb/src/c/errors.o obj/noweb/src/c/columns.o obj/noweb/src/c/nt obj/noweb/src/c/markmain.o obj/noweb/src/c/markup.o obj/noweb/src/c/markup obj/noweb/src/c/mnt.o obj/noweb/src/c/mnt obj/noweb/src/c/finduses.o obj/noweb/src/c/recognize.o obj/noweb/src/c/finduses mnt/bin/lib/nt mnt/bin/lib/markup mnt/bin/lib/mnt mnt/bin/lib/finduses mnt/bin/Makefile.dvi  Makefile.dvi src/Makefile.dvi src/interp/Makefile.dvi src/doc/Makefile.dvi
	rm -f lsp/Makefile src/Makefile src/boot/Makefile src/clef/Makefile src/doc/Makefile src/etc/Makefile src/input/Makefile src/interp/Makefile src/lib/Makefile src/scripts/Makefile src/share/Makefile 
	rm -f src/algebra/Makefile lastBuildDate
	find -name Makefile.dvi -exec rm {} \;
	rm -f Makefile.linux
	rm -f $(IFS)
	rm -rf debian/axiom_tutorialu debian/bin debian/axiom.1
	find -mindepth 2 -name Makefile -exec rm {} \;
	rm -f books/tangle.o
	mv books/axiom.sty books/axiom.sty.ori
	mv src/axiom-website/CATS/axiom.sty src/axiom-website/CATS/axiom.sty.ori
	find -name axiom.sty -exec rm {} \;
	mv books/axiom.sty.ori books/axiom.sty
	mv src/axiom-website/CATS/axiom.sty.ori src/axiom-website/CATS/axiom.sty
	rm -rf kaf*.sdata
	rm -f src/interp/bookvol5.pamphlet src/interp/bookvol9.pamphlet src/algebra/bookvol10.2.spad.pamphlet
	rm -f src/algebra/bookvol10.4.spad.pamphlet src/algebra/bookvol10.3.spad.pamphlet 
	rm -f src/interp/Makefile.pamphlet.new debian/test_results
	rm -f libdb.text src/algebra/Makefile.help src/algebra/ELTAB.nrlib/ELTAB.data
	rm -f src/interp/bookvol10.5.pamphlet src/algebra/*.spad src/lib/Makefile.pdf books/tangle1.lisp
	rm -rf .texlive2024 gcl_pool src/etc/asq src/etc/asq.c src/algebra/layer*done
	rm -rf src/algebra/layer0bootstrap
	rm -rf src/algebra/layer0copy src/algebra/fasthelp src/algebra/fastinput src/algebra/fastxhtml
	rm -rf gcl27 .texlive2025 src/etc/rebuild #FIXME
	dh_clean 

debian/axiom.install: 
	find mnt/linux -name "*.o" | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
	find mnt/linux -name "*.lsp" | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
	find mnt/linux/bin/* -maxdepth 0 -type f | grep -v tanglec | grep -v /h[yt] | grep -v /view | grep -v /gcl | grep -v html | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
	find mnt/linux/lib/* | grep -v copyright | grep -v /h[yt] | grep -v /view | grep -v /graph | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
	echo debian/bin/axiom usr/bin >>$@
	echo debian/axiom.1 usr/share/man/man1 >>$@

debian/axiom-graphics.install: 
	find mnt/linux/bin/view* mnt/linux/lib/view* | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@

debian/axiom-graphics-data.install: 
	echo mnt/linux/lib/graph | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
	echo mnt/linux/doc/viewports | awk '{printf("%s usr/share/doc/axiom-doc\n",$$1);}' >>$@

debian/axiom-hypertex.install: 
	find mnt/linux/bin/h[ty]* mnt/linux/lib/h[ty]* | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@

debian/axiom-hypertex-data.install: 
	echo mnt/linux/doc/hypertex | awk '{printf("%s usr/share/doc/axiom-doc\n",$$1);}' >>$@
	echo mnt/linux/doc/ps | awk '{printf("%s usr/share/doc/axiom-doc\n",$$1);}' >>$@
	echo mnt/linux/doc/bitmaps | awk '{printf("%s usr/share/doc/axiom-doc\n",$$1);}' >>$@
	echo mnt/linux/doc/ht.db | awk '{printf("%s usr/share/doc/axiom-doc\n",$$1);}' >>$@
	find mnt/linux/doc/*.pamphlet | awk '{printf("%s usr/share/doc/axiom-doc\n",$$1);}' >>$@

debian/axiom.links:
	echo usr/share/doc/axiom/copyright usr/lib/$(PD)/lib/copyright >>$@
#	echo usr/bin/axiom usr/bin/AXIOMsys >>$@
	echo usr/share/man/man1/axiom.1 usr/share/man/man1/AXIOMsys.1 >>$@

debian/axiom-doc.install: debian/axiom-hypertex-data.install debian/axiom-graphics-data.install
	find mnt/linux/doc/* -maxdepth 0 ! -empty | \
		$(shell cat $^ | awk '{print "grep -v " $$1 " | "}') \
		awk '{printf("%s usr/share/doc/axiom-doc\n",$$1);}' >>$@
	echo debian/axiom_tutorialu usr/share/doc/axiom-doc >>$@

debian/axiom-doc.links:
	echo usr/share/doc/axiom-doc usr/lib/$(PD)/doc >>$@

debian/axiom-source.install:
	echo mnt/linux/src usr/share/$(PD) >>$@

debian/axiom-source.links:
	echo usr/share/$(PD)/src usr/lib/$(PD)/src >>$@

debian/axiom-test.install:
	echo mnt/linux/input usr/share/$(PD) >>$@
	echo debian/test_results usr/share/doc/axiom-test >>$@
	echo debian/bin/axiom-test usr/bin >>$@
	echo debian/axiom-test.1 usr/share/man/man1 >>$@

debian/axiom-test.links:
	echo usr/share/$(PD)/input usr/lib/$(PD)/input >>$@

debian/axiom-databases.install:
	find mnt/linux -name "*.daase" | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/share/$(PD)/%s\n",$$1,a);}' >>$@
	find mnt/linux -name "*.text" | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/share/$(PD)/%s\n",$$1,a);}' >>$@

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=3
http://dl.sv.gnu.org/releases/axiom	.*axiom_([0-9a-z]*).tar.gz	debian	uupdate
